]> arthur.barton.de Git - bup.git/blobdiff - cmd/drecurse-cmd.py
Remove vfs (replaced by vfs2)
[bup.git] / cmd / drecurse-cmd.py
index cdf66803034bd0f429a869ea75b94ba06f29e25a..bc537cbd96044c155d915212a353d7fbb81aa252 100755 (executable)
@@ -1,8 +1,16 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
 
 from os.path import relpath
+import sys
+
 from bup import options, drecurse
-from bup.helpers import *
+from bup.helpers import log, parse_excludes, parse_rx_excludes, saved_errors
+
 
 optspec = """
 bup drecurse <path>